<xml> </xml>

IrrKlang.NET |

# ISoundEngine.AddSoundSourceFromFile Method (String)

Adds sound source into the sound engine as file.

[Visual Basic]
Overloads Public Function AddSoundSourceFromFile( _
ByVal soundName As String _
) As ISoundSource
[C#]
public ISoundSource AddSoundSourceFromFile(
string soundName
);

#### Parameters

soundName
  Name of the sound file (e.g. "sounds/something.mp3"). You can also use this name when calling play3D() or play2D().

#### Return Value

Returns the added sound source or null if not sucessful because for example a sound already existed with that name. If not successful, the reason will be printed into the log.

#### See Also

ISoundEngine Class | IrrKlang Namespace | ISoundEngine.AddSoundSourceFromFile Overload List